Subject: Re: bug#69984: 30.0.50; missing "save-restriction" in flymake--update-eol-overlays
From: Eli Zaretskii <[email-masked]>
To: Paul Nelson <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Mar 2024 12:16:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Paul Nelson <[email-masked]>
> Date: Sun, 24 Mar 2024 18:59:48 +0100
> 
> Hi,
> 
> This seems like an obvious "one-word" bug ("save-excursion" should be
> "save-restriction"), so I'll be brief, but please let me know if more
> details would be helpful.
> 
> Steps to reproduce: when using flymake with
> flymake-show-diagnostics-at-end-of-line set to t in a narrowed buffer,
> the narrowing goes away after a couple updates.
> 
> I traced this down to the function noted in the subject.  Changing
> save-restriction to save-excursion fixed the bug for me.

Thanks, I've changed that to save-restriction on the master branch,
and I'm therefore closing this bug.